GPT-6 Sol
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
GPT-6 Sol is OpenAI's model for complex coding and agentic workflows. It accepts text, image, and PDF input and produces text output. The model supports reasoning.effort settings of none, low, medium, high, xhigh, and max, with a 1,050,000-token context window and up to 128,000 output tokens.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gpt-6-sol | Apr 20 2026 | Text, Image, Pdf | Text | 1,050,000 | $2.00/1M input $10.00/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
- Cached input: $0.20 per 1M tokens
- Cache writes: $2.50 per 1M tokens
- Requests with more than 272,000 input tokens use higher long-context rates
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-6-sol",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gpt-6-sol", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gpt-6-sol",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
References
- GPT-6 Sol Model
https://developers.openai.com/api/docs/models/gpt-6-sol- Introducing GPT-6 Sol and Luna
https://openai.com/index/introducing-gpt-6-sol-and-luna/- OpenAI API Pricing
https://openai.com/api/pricing/